# Get dictionary content (getdict)

Return the full wordlist for a dictionary.

### Parameters

These parameters work with any `cmd`.

| Name           | Type    | Required   | Description                                                                                                                                                                        |
| -------------- | ------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `serviceid`    | string  | Cloud only | Cloud API key. Required for Cloud requests. Not used on-premises.                                                                                                                  |
| `format`       | string  | No         | Response format. Values: `json` (default), `xml`.                                                                                                                                  |
| `callback`     | string  | No         | JSONP wrapper function name. Use only with `format=json`.                                                                                                                          |
| `short_answer` | boolean | No         | <p>JSON only. When <code>true</code>, shortens JSON keys to reduce payload size.<br>See <a href="/pages/VXTsQ0sY5BFRLUsqxnbL#boolean-parameter-values">boolean parameters</a>.</p> |

See [Overview](/api-reference/overview.md#common-parameters) for details.

#### Command specific parameters

| Parameter  | Type   | Required | Default           | Notes                               |
| ---------- | ------ | -------- | ----------------- | ----------------------------------- |
| `cmd`      | string | Yes      | `user_dictionary` | Command name.                       |
| `action`   | string | Yes      | `getdict`         | Action name.                        |
| `name`     | string | Yes      |                   | Dictionary name.                    |
| `format`   | string | No       | `json`            | Some deployments support JSON only. |
| `callback` | string | No       |                   | JSONP callback name (JSON only).    |

### Behavior

* Returns all words.
* Sorts output alphabetically.
* Removes duplicates.

### Response

Returns the full dictionary in `wordlist`.

See [Response format](/api-reference/user-custom-dictionary-api/response-format.md).

### Errors

Common errors:

* Dictionary name is missing, invalid, or longer than 50 characters.

See [Errors reference](/api-reference/user-custom-dictionary-api/errors-reference.md).

### Examples

<details>

<summary>Get dictionary content</summary>

**Request body (JSON):**

```json
{
  "cmd": "user_dictionary",
  "action": "getdict",
  "name": "my_dict"
}
```

**Response (JSON):**

```json
{
  "name": "my_dict",
  "action": "getdict",
  "wordlist": ["API", "DevOps", "SDK"],
  "modificationTime": 1772124069
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/api-reference/user-custom-dictionary-api/actions/get-dictionary-content-getdict.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
